﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class RoutSheet
{
    public int Id { get; private set; }

    public int RoutId { get; private set; }

    public IEnumerable<RoutSheetBus> RoutSheetBuses { get; private set; } = [];
    public int DriverId { get; private set; }
    public int ConductorId { get; private set; }
    public DateTime BusDate { get; private set; }
    public static RoutSheet CreatOpeartion(int id, int routid, int driverid, int conductorid, IEnumerable<RoutSheetBus> RoutSheetBuses)
    {
        return new RoutSheet
        {
            Id = id,
            RoutId = routid,
            RoutSheetBuses = RoutSheetBuses,
            DriverId = driverid,
            ConductorId = conductorid,
            BusDate = DateTime.Now
        };
    }
}
