﻿using Microsoft.VisualBasic;
using PIbd_24_EredavkinRA_BusBusiness.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class To
{
    public int Id { get; private set; }
    public int BusID { get; private set; } 
    public int MechanicID { get; private set; }
    public string Description { get; private set; } = string.Empty;

    public int Cost { get; private set; }
    public DateTime DateTo { get; private set; }

    public static To CreatOperation(int id, string description, int cost, int busid, int mechanicid)
    {
        return new To()
        {
            Id = id,
            Description = description ?? string.Empty,
            Cost = cost,
            DateTo = DateTime.Now,
            BusID = busid, 
            MechanicID = mechanicid
        };
    }

}
