﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class Bus
{ 
    public int Id { get; private set; }
    public string Model { get; private set; } = string.Empty;
    public string N_Z { get; private set; } = string.Empty;
    public int Capacity { get; private set; }
    public int Bus_mileage { get; private set; } 

    public static Bus CreateEntity(int id, string model, string n_z, int capacity, int bus_mileage)
    {
        return new Bus
        {
            Id = id,
            Model = model ?? string.Empty,
            N_Z = n_z ?? string.Empty,
            Capacity = capacity,
            Bus_mileage = bus_mileage
        };

    }
}
