using PIbd_24_EredavkinRA_BusBusiness.Repositories;
using PIbd_24_EredavkinRA_BusBusiness.Repositories.Implementations;
using Unity;

namespace PIbd_24_EredavkinRA_BusBusiness
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            Application.Run(CreateContainer().Resolve<FormBus>());
        } 

        private static IUnityContainer CreateContainer()
        {
            var container = new UnityContainer();
            container.RegisterType<IBusRepository, BusRepository>();
            container.RegisterType<IRoutRepositories, RoutRepositories>();
            container.RegisterType<IRoutSheetRepository, RoutSheetRepository>();
            container.RegisterType<IStaffRepositories, StaffRepository>();
            container.RegisterType<IToRepository, ToRepository>();
            return container;
        }
    }
}